import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruit = type => ({
  type,
  id: Math.random()
});

let fruits = range(5)
	.map(() => makeFruit('apple'));

let selectedFruit = null;

const onClick = id => {
	selectedFruit = id;
  console.log(selectedFruit);
  // render();
}

const render = () => 
	fruitBowl(svg,{
    fruits, 
  	height: +svg.attr('height'),
    onClick,
    selectedFruit
  });

// first time render of fruit bowl
render();

// Eat an apple
setTimeout(() =>{
  fruits.pop();
  render();
}, 1000);

// Replacing an appple with a lemon
setTimeout(() =>{
  fruits[2].type = 'lemon'
  // fruits.pop();
  render();
}, 2000);

// Eat an apple
setTimeout(() =>{
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000);